package com.chinacreator.video.restful.bean;

/**
 * @author zhengrong.yan
 * @date 2022/7/21 18:58
 */
public class HsQueryVipBean {
    private String status;
    private String activityType;
    private String userval;
    private String typeName;
    private String resultCode;
    private String errorInfo;
    private String vipTime;
    private String remark="";
    private String userid;//viplog表放vipid的字段，此处用于匹配TB_BACKBUSI_CONF的vipid找到相关数据
    private String spname;
    private String spid;
    private String usertypeName;
    private String fhspid;

    public String getVipTime() {
        return vipTime;
    }

    public void setVipTime(String vipTime) {
        this.vipTime = vipTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getActivityType() {
        return activityType;
    }

    public void setActivityType(String activityType) {
        this.activityType = activityType;
    }

    public String getUserval() {
        return userval;
    }

    public void setUserval(String userval) {
        this.userval = userval;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    public String getErrorInfo() {
        return errorInfo;
    }

    public void setErrorInfo(String errorInfo) {
        this.errorInfo = errorInfo;
    }

    public String getRemark() {
        if(remark!= null && remark.length()>100){
            return remark.substring(0, 100);
        }

        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getSpname() {
        return spname;
    }

    public void setSpname(String spname) {
        this.spname = spname;
    }

    public String getSpid() {
        return spid;
    }

    public void setSpid(String spid) {
        this.spid = spid;
    }

    public String getUsertypeName() {
        return usertypeName;
    }

    public void setUsertypeName(String usertypeName) {
        this.usertypeName = usertypeName;
    }

    public String getFhspid() {
        return fhspid;
    }

    public void setFhspid(String fhspid) {
        this.fhspid = fhspid;
    }
}
